org.apache.synapse.transport.certificatevalidation

## Enum RevocationStatus

- java.lang.Object
- - java.lang.Enum<RevocationStatus>
  - - org.apache.synapse.transport.certificatevalidation.RevocationStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RevocationStatus>

      public enum RevocationStatus
      extends java.lang.Enum<RevocationStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GOOD`
    `REVOKED`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMessage()`
    `static RevocationStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RevocationStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GOOD

          public static final RevocationStatus GOOD

    - #### UNKNOWN

          public static final RevocationStatus UNKNOWN

    - #### REVOKED

          public static final RevocationStatus REVOKED

  - ### Method Detail

    - #### values

          public static RevocationStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RevocationStatus c : RevocationStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RevocationStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getMessage

          public java.lang.String getMessage()

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.